#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              1.2.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-1.2.0.0-DOR4hQYZnzdIUsR5SGQVeC-tasty-sugar-internal

key:
    tasty-sugar-1.2.0.0-DOR4hQYZnzdIUsR5SGQVeC-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  6e195a3a8f33ae49816856e7fd71e205
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.ExpectCheck Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.RootCheck
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-1.2.0.0-DOR4hQYZnzdIUsR5SGQVeC-tasty-sugar-internal

depends:
    base-4.15.1.0 filemanip-0.3.6.3-C7sOGpe5Io2G4P87xKrNjR
    filepath-1.4.2.1 kvitable-1.0.1.0-BUCqW7zmyWf94NWdA5II9n
    logict-0.7.1.0-B3vLXPtiYdQCZXfbOfWPFU
    microlens-0.4.13.0-8kbZITwqGed8vNsPXOVOwI mtl-2.2.2
    prettyprinter-1.7.1-7eRoD88Qjxr3WATbTDCCDU text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              1.2.0.0
visibility:           public
id:                   tasty-sugar-1.2.0.0-IXa8Buxo8LqDTmXp1sMgfh
key:                  tasty-sugar-1.2.0.0-IXa8Buxo8LqDTmXp1sMgfh
license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  40dab6a463d3ff9e894b4bcf47d5ae9f
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-1.2.0.0-IXa8Buxo8LqDTmXp1sMgfh
depends:
    base-4.15.1.0 directory-1.3.6.2
    filemanip-0.3.6.3-C7sOGpe5Io2G4P87xKrNjR filepath-1.4.2.1
    logict-0.7.1.0-B3vLXPtiYdQCZXfbOfWPFU
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW
    prettyprinter-1.7.1-7eRoD88Qjxr3WATbTDCCDU
    tasty-1.4.2.3-5Q3D4h6lqeE1Hc7cRlyl02
    tasty-sugar-1.2.0.0-DOR4hQYZnzdIUsR5SGQVeC-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

